Qt 5.13 | Qt Virtual Keyboard | QML Types | SelectionListModel QML Type

Qt Virtual Keyboard | Commercial or GPLv3

# SelectionListModel QML Type

Provides a data model for the selection lists. More...

Import Statement: | import QtQuick.VirtualKeyboard 2.13

- List of all members, including inherited members

## Signals

- void activeItemChanged(index)
- void itemSelected(index)

## Methods

- void removeItem(index)
- void selectItem(index)

## Detailed Description

The SelectionListModel is a data model for word candidates provided by the input method.

An instance of a SelectionListModel cannot be created directly. Instead, the InputEngine manages the instances and provides access to the model by InputEngine::wordCandidateListModel property.

The model exposes the following data roles for the list delegate:

- `display` Display text for item.
- `wordCompletionLength` Word completion length for item.
- `dictionaryType` Dictionary type of the word, see QVirtualKeyboardSelectionListModel::DictionaryType.
- `canRemoveSuggestion` A boolean indicating if the word can be removed from the dictionary.

The activeItemChanged signal indicates which item is currently highlighted by the input method. The view should respond to this signal by highlighting the corresponding item in the list.

The user selection is handled by the selectItem() method. The view should be invoke this method when the user selects an item from the list.

## Signal Documentation

void activeItemChanged(index)

This signal is emitted when the active item in the list changes. The UI should react to this signal by highlighting the item at index in the list.

void itemSelected(index)

This signal is emitted when an item at index is selected by the user.

## Method Documentation

void removeItem(index)

This method should be called when the user removes an item at position index from the list. The removal is forwarded to the input method for further processing.

void selectItem(index)

This method should be called when the user selects an item at position index from the list. The selection is forwarded to the input method for further processing.